Skip to main content
`Ctrl`+`K`

# PetscHMapObjIterSet

Set the value referenced by an iterator in the hash

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjIterSet(PetscHMapObj ht, PetscHashIter iter, PetscObject val)

## Input Parameters

- ht - The hash table

- iter - The iterator

- val - The value

## See Also

`PetscHMapObjPut()`, `PetscHMapObjQuerySet()`, `PetscHMapObjSet()`, `PetscHMapObjSetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages